# List of existing containers

## List of basic and runtime layers

| Layer                   | Container           |
|-------------------------|---------------------|
| Alpine 3.8              | alpine3.8           |
| Alpine 3.8 - PHP 5.6    | alpine3.8-php5.6    |
| Alpine 3.8 - NodeJS 8   | alpine3.8-nodejs8   |
| Alpine 3.9 - Ruby 2.4   | alpine3.8-ruby2.4   |
| Alpine 3.9              | alpine3.9           |
| Alpine 3.9 - Java 8     | alpine3.9-java8     |
| Alpine 3.9 - PHP 7.2    | alpine3.9-php7.2    |
| Alpine 3.9 - Python 2.7 | alpine3.9-python2.7 |
| Alpine 3.9 - Python 3.6 | alpine3.9-python3.6 |
| Alpine 3.9 - NodeJS 10  | alpine3.9-nodejs10  |
| Alpine 3.9 - Ruby 2.4   | alpine3.9-ruby2.4   |
| Alpine 3.9 - Tomcat 7   | alpine3.9-tomcat7   |
| Alpine 3.9 - Tomcat 8.5 | alpine3.9-tomcat8.5 |
| Sahana - Shared         | sahana-shared       |

## List of service containers

| Service         | Container       | UID/GID | Internal Port    |
|-----------------|-----------------|---------|------------------|
| ActiveMQ        | activemq        | 61616   | 61616 (ActiveMQ) |
| CKAN Datapusher | ckan-datapusher | 8004    | 8080 (HTTP)      |
| MariaDB         | mariadb         | 3306    | 3306 (MySQL)     |
| Postgres        | postgres        | 5432    | 5432 (Postgres)  |
| RabbitMQ        | rabbitmq        | 5672    | 5672 (AMQP)      |
| Redis           | redis           | 6379    | 6379 (Redis)     |
| Solr            | solr            | 8983    | 8983 (HTTP)      |

## List of application containers

All application containers listen on internal port 8080 (HTTP)

| Application    | Container         | UID/GID | Host        |
|----------------|-------------------|---------|-------------|
| CKAN           | ckan              | 8003    | ckan        |
| Crisis Cleanup | crisiscleanup     | 8005    | cc          |
| CTS            | cts               | 8006    | cts         |
| EcoGIS         | ecogis            | 8020    | ecogis      |
| FrontlineSMS   | frontlinesms      | 8018    | sms         |
| GNU Health     | gnuhealth         | 8008    | gh          |
| KanBoard       | kanboard          | 8009    | kb          |
| Mifos X        | mifosx            | 8012    | mifosx      |
| Motech         | motech            | 8013    | motech      |
| ODK Aggregate  | opendatakit       | 8015    | odk         |
| ODK Build      | opendatakit-build | 8017    | odkbuild    |
| Odoo           | odoo              | 8019    | odoo        |
| OpenMapKit     | openmapkit        | 8007    | omk         |
| Pan.do/ra      | pandora           | 8002    | pandora     |
| Sahana         | sahana            | 8001    | sahana      |
| Sahana - Demo  | sahana-demo       | 8001    | sahana-demo |
| SAMBRO         | sambro            | 8001    | sambro      |
| SeedDMS        | seeddms           | 8010    | dms         |
| Sigmah         | sigmah            | 8011    | sigmah      |
| Ushahidi       | ushahidi          | 8014    | ush         |
